<?php
	$idjenisperkara = $this->tanggalhelper->getIDJenisPerkara($perkara_id);
	$model_hakim='tunggal';
	$keterangan='';$majelis_sebelumnya_id = '';
	if ($action =='edit'){
	    $arr_hakim = explode(',', $data_majelisku['0']['majelis_hakim_id']);
	    //if (count($arr_hakim)>1 OR ($idjenisperkara==347 OR $idjenisperkara==346)){
	    if (count($arr_hakim)>1){
			$model_hakim = 'majelis';
	    }else{
			$model_hakim = 'tunggal';
	    };
	    $majelis_sebelumnya = array();
	    $tanggal_sebelumnya ='';
	    $keterangan = '';$i=0;
	    if (count($data_majelis_detail)<>0){						    
			foreach ($data_majelis_detail as $row=>$val){
			    if ($val['aktif']=='Y'){
					if ($tanggal_sebelumnya===$val['tanggal_penetapan'] || $tanggal_sebelumnya===''){
					    $majelis_sebelumnya[]=$val['hakim_id']; 
					    $majelis_sebelumnya_id.=$val['id'];
					    if ($i<>(count($data_majelis_detail)-1)){
							$majelis_sebelumnya_id.=',';
						}
					    if ($keterangan!=''){
					    	$keterangan = $val['keterangan'];
					    	//$keterangan.= $val['keterangan'].' - ';
					    }else{
					    	$keterangan = $val['keterangan'];
					    }
					}else{
					    break;
					}
		    	}
		    	$i++;
			}
	    }else{
		$majelis_sebelumnya[]=$val['hakim_id'];
	    }
	}else{
		if (($idjenisperkara==347 OR $idjenisperkara==346)){
			$model_hakim = 'majelis';
	    }else{
			$model_hakim = 'tunggal';
	    };
	}
	$status ='';
	$val ='';
	if($idalurperkara>100){
		$status = 'readonly';
		$val = $this->tanggalhelper->convertToInputDate($tanggal_pelimpahan->tanggal_pendaftaran);
	}

if($this->session->userdata('jenis_pengadilan')==2){
		$no_tapkim="No Tapkim";
}else{
		$data_majelis="Majelis Hakim/Hakim";
		
}

?>
<div class="centering" style="width:700px;margin-top: 1%;z-index:-100">
    <div id='majelis_hakim' style="border: 1px solid #ffffff;">
		<div class="detil" style="padding: 2px;background-color: white;">
            <div style="font-size:14px;">
			<?php
				if ($action=='add'){
					?>
					<form id="frm_majelis" class="removeformbottomspace" method="post" action="<?php echo base_url().'addMajelis_c/f_validate_input_add';?>">
					<?php
				}else{
					?>
					<form id="frm_majelis" class="removeformbottomspace" method="post" action="<?php echo base_url().'addMajelis_c/f_validate_input_edit';?>">
					<?php
				}
				?>
					<table id='tableDetilPerkara' style="font-size:13px;">
						<col width="35%">
	                    <col width="65%">
	                    <tbody>
	                    	<tr>
								<td colspan="2" style="padding:4px;background:white;font-size:16px;color:#111;" align="center"><strong><?php echo $namahalaman; ?></strong></td>
							</tr>
		            		<tr>
                            	<td id="first-child">Nomor Perkara</td>
                                <td>
                                	<span>
									    <?php
											print_r($perkara['0']['nomor_perkara']);
						    			?>
									    <input type="hidden" name='enc' value='<?php echo $enc;?>'>
									</span>
                                </td>
                            </tr>
                            <tr>
                            	<?php
					    			if (intval($perkara['0']['alur_perkara_id'])>100){
										echo "<td id='first-child'>Tanggal Pelimpahan</td>";
					    			}else{
										echo "<td id='first-child'>Tanggal Pendaftaran</td>";
					    			}
								?>
                                <td>
                                	<span>
									    <?php
											echo $this->tanggalhelper->convertDayDate($tanggal_pelimpahan->tanggal_pendaftaran);
						    			?>
									</span>
                                </td>
                            </tr>
                            <?php if($this->session->userdata('jenis_pengadilan')==3 AND $idalurperkara!=10 AND $idalurperkara!=11){ ?>
                            <tr>
                            	<td id="first-child">Jenis Acara</td>
                                <td>                                										
			                        <?php
                                    	if ($action=='add'){
                                    ?>
	                                    <span class="custom-dropdown custom-dropdown--emerald">
				                            <select style='width:130px;'  name="jenis_acara" id="jenis_acara"  class="custom-dropdown__select custom-dropdown__select--white">                                
				                                <option value=''>Pilih Jenis Acara</option>			                                
				                                <option value='1'>Acara Cepat</option>
				                                <option value='2'>Acara Biasa</option>
				                            </select>
				                        </span>			                        
                               		<?php
                                    	}else{                                    		
                                        	$jenis_acara='';                                        	
                                            if (count($data_majelisku)<>0){	
												foreach ($data_majelisku as $row=>$val){													
														$jenis_acara = $val['jenis_acara'];
														break;													
												}
											}																						
									?>
										<span class="custom-dropdown custom-dropdown--emerald">
	                                        <select style='width:130px;' name="jenis_acara" id="jenis_acara" class="custom-dropdown__select custom-dropdown__select--white">                                                                                                                        	                                            
	                                            <option value='1' <?php echo ($jenis_acara=='1')? 'selected':'' ?>  >Acara Cepat</option>
	                                            <option value='2' <?php echo ($jenis_acara=='2')? 'selected':'' ?>  >Acara Biasa</option>                                                                                   
	                                        </select>
	                                    </span>
									<?php
                                    	}
                                    ?>
                                </td>
                            </tr>
                            <?php } ?>
                            <tr>
                            	<td id="first-child">Tanggal Penetapan</td>
                                <td>
                                	<?php
                                    	if ($action=='add'){
                                    ?>
                                    <input id="tgl_penetapan_majelis" name="tgl_penetapan_majelis" value="<?php echo $val;?>" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun" <?php echo $status;?>>
                               		<?php
                                    	}else{
                                        	$tgl_penetapan_majelis='';	
                                            if (count($data_majelis_detail)<>0){	
												foreach ($data_majelis_detail as $row=>$val){
													if ($val['aktif']=='Y'){
														$tgl_penetapan_majelis = $this->tanggalhelper->convertToInputDate($val['tanggal_penetapan']);
														break;
													}
												}
											}else{
												$tgl_penetapan_majelis = $this->tanggalhelper->convertToInputDate($data_majelis_detail['0']['tanggal_penetapan']);
											}
									?>
									<input id="tgl_penetapan_majelis" name="tgl_penetapan_majelis" value="<?php echo $tgl_penetapan_majelis; ?>" class="datepicker" maxlength="10" placeholder="tgl/bln/tahun">
									<?php
                                    	}
                                    ?>
                                </td>
                            </tr>
                            <tr class="row_majelis">
                            <?php
                            	if (intval($perkara['0']['alur_perkara_id'])==8){
                            		echo "<td id='first-child'>Hakim Tunggal</td>";
                            	}else{
                            		echo "<td id='first-child'>Majelis Hakim/Hakim</td>";
                            	}
                            ?>
                            	
                                <td>
                                	<?php if($this->session->userdata('jenis_pengadilan')==3 AND $idalurperkara!=10 AND $idalurperkara!=11){ ?>
                                	<label id="l_majelis">
                            			<?php 
                            				if ($model_hakim=='tunggal'){
                            					echo 'Hakim Tunggal';
                            				}else{
                            					echo 'Majelis Hakim';
                            				}
                            			?>
                            		</label> 
                            		<?php } ?>
									<span id="span_majelis" class="custom-dropdown custom-dropdown--emerald" style="width:130px">
                                    	<?php
                                    		$options=array('tunggal'=> 'Hakim Tunggal', 'majelis' => 'Majelis Hakim');
                                        	$js = 'id="model_hakim" name="model_hakim" class="dropdown custom-dropdown__select custom-dropdown__select--white" style="width:130px"';
                                            if ($action=='add' AND $model_hakim=='tunggal'){
                                            	echo form_dropdown('pilihan_majelis', $options, 'tunggal', $js);	
                                            }else{
                                            	echo form_dropdown('pilihan_majelis', $options, $model_hakim, $js);
                                            }
                                        ?>
									</span>
                                </td>
                            </tr>
                            <tr class="tunggal">
                            	<td id="first-child">Hakim Tunggal</td>
                            	<td>
									<span class="custom-dropdown custom-dropdown--emerald" style="width:250px">
										<?php
										    $js = 'id="hakim_tunggal" class="custom-dropdown__select custom-dropdown__select--white" style="width:250px"';
										    if ($action=='add'){
										    	echo form_dropdown('hakim_tunggal', $data_hakim, 'tunggal', $js);
										    }else{
						    					if (array_key_exists(0, $majelis_sebelumnya)){
						    						echo form_dropdown('hakim_tunggal', $data_hakim, $majelis_sebelumnya[0], $js); 
						    					}
						    				}
										?>
									</span>
					    		</td>
                            </tr>
				    		<tr class="majelis">
                                <td id="first-child">Hakim Ketua</td>
                                <td>
									<span class="custom-dropdown custom-dropdown--emerald" style="width:250px">
										<?php
										    $js = 'id="hakim_ketua" class="nama_hakim custom-dropdown__select custom-dropdown__select--white" style="width:250px"';
										    if ($action=='add'){
										    	echo form_dropdown('hakim_ketua', $data_hakim, 'tunggal', $js);	
										    }else{
						    					if (array_key_exists(0, $majelis_sebelumnya)){
													echo form_dropdown('hakim_ketua', $data_hakim, $majelis_sebelumnya[0], $js);
							    				}else{
							    					echo form_dropdown('hakim_ketua', $data_hakim, 'tunggal', $js);		
							    				}
						    				}						    
										?>
									</span>
					    		</td>
                            </tr>
				    		<tr class="majelis">
                                <td id="first-child">Hakim Anggota 1</td>
                                <td>
									<span class="custom-dropdown custom-dropdown--emerald" style="width:250px">
										<?php
						    				$js = 'id="hakim_anggota1" class="nama_hakim custom-dropdown__select custom-dropdown__select--white" style="width:250px"';
						    				if ($action=='add'){
						    					echo form_dropdown('hakim_anggota1', $data_hakim, '', $js);	
						    				}else{
						    					if (array_key_exists(1, $majelis_sebelumnya)){
													echo form_dropdown('hakim_anggota1', $data_hakim, $majelis_sebelumnya[1], $js);
												}else{
													echo form_dropdown('hakim_anggota1', $data_hakim, '', $js);
												}
						    				}
										?>
									</span>
					    		</td>
                            </tr>
						    <tr class="majelis">
        						<td id="first-child">Hakim Anggota 2</td>
                                <td>
									<span class="custom-dropdown custom-dropdown--emerald" style="width:250px">
										<?php
										    $js = 'id="hakim_anggota2" class="nama_hakim custom-dropdown__select custom-dropdown__select--white" style="width:250px"';
						    				if ($action=='add'){
						    					echo form_dropdown('hakim_anggota2', $data_hakim, '', $js);	
						    				}else{
						    					if (array_key_exists(2, $majelis_sebelumnya)){
													echo form_dropdown('hakim_anggota2', $data_hakim, $majelis_sebelumnya[2], $js);
							    				}else{
							    					echo form_dropdown('hakim_anggota2', $data_hakim, '', $js);	
							    				}
						    				}
										?>
									</span>
					    		</td>
                            </tr>
					<?php
					if($this->session->userdata('jenis_pengadilan')!=2){
					?>	                            
				    		<tr class="majelis">
                            	<td id="first-child">Hakim Anggota 3</td>
                                <td>
									<span class="custom-dropdown custom-dropdown--emerald" style="width:250px">
										<?php
							    			$js = 'id="hakim_anggota3" class="nama_hakim custom-dropdown__select custom-dropdown__select--white" style="width:250px"';
							    			if ($action=='add'){
							    				echo form_dropdown('hakim_anggota3', $data_hakim, '', $js);	
							    			}else{
							    				if (array_key_exists(3, $majelis_sebelumnya)){
													echo form_dropdown('hakim_anggota3', $data_hakim, $majelis_sebelumnya[3], $js);
								    			}else{
								    				echo form_dropdown('hakim_anggota3', $data_hakim, '', $js);	
								    			}
							    			}
										?>
									</span>
					    		</td>
                            </tr>
				    		<tr class="majelis">
                            	<td id="first-child">Hakim Anggota 4</td>
                                <td>
									<span class="custom-dropdown custom-dropdown--emerald" style="width:250px">
										<?php
						    				$js = 'id="hakim_anggota4" class="nama_hakim custom-dropdown__select custom-dropdown__select--white" style="width:250px"';
						    				if ($action=='add'){
						    					echo form_dropdown('hakim_anggota4', $data_hakim, '', $js);	
						    				}else{
						    					if (array_key_exists(4, $majelis_sebelumnya)){
													echo form_dropdown('hakim_anggota4', $data_hakim, $majelis_sebelumnya[4], $js);
							    				}else{
							    					echo form_dropdown('hakim_anggota4', $data_hakim, '', $js);	
							    				}
						    				}
										?>
									</span>
					    		</td>
                            </tr>
                            <tr>
                    <?php
                    	}
                    	if($cek_status>=1)
                    		$alasan = 'Alasan Penggantian Majelis';
                    	else
                    		$alasan = 'Keterangan';
                    ?>
                            	<td id="first-child" style="vertical-align: top;"><?php echo $alasan; ?></td>
                                <td>
									<?php
						    			$js="{datatype: 'text', maxLength: 500, allowedChars: '', lettersCase: '', enterTab: false, enterSubmit: false, autoTab: true, selectOnFocus: true, watermark: '', watermarkClass: 'scFormObjectOddWm', maskChars: '(){}[].,;:-+/ '}
											cols='100' rows='2' id='keterangan' name='keterangan' style='width: 100%; height: 100px; resize: none; font-size:13px;' maxlength='500'";
						    			echo form_textarea('keterangan', $keterangan, $js); ?>
					    		</td>
                            </tr>
                            <tr>
                            	<td colspan="2" class="buttongroup">
                                    <input type="hidden" id="curr_date" value="<?php echo $current_date;?>">
                                    <input type="hidden" name="majelis_sebelumnya_id" value="<?php echo $majelis_sebelumnya_id;?>">
		                            <input type="hidden" id="refresh" class='detil_perkara_refresh' value="0">
									<input type="hidden" id="namahalaman" name="namahalaman" value="<?php echo $namahalaman; ?>">
                                	<input type="button" id='close_form_add_majelis' value="Kembali" class="btn close_form_add_majelis">
                                	<input type="hidden" id='close_form_refresh' value="">
                                	<?php
                                	if(!empty($tgl_penetapan_majelis)){
                                		echo '<input type="submit" id="hapus" value="Hapus" class="btn btn-danger" onclick="return false;">';
                                	}
                                	?>
                                    <input type="submit" id="simpan" value="Simpan" class="btn">
                                </td>
                            </tr>
                        </tbody>
                   	</table>
                </form>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
$('.nama_hakim').change(function(){
	if ($(this).val()!='0'){
		switch($(this).attr('id')) {
			case 'hakim_ketua':
				if ($(this).val()==$('#hakim_anggota1').val() || $(this).val()==$('#hakim_anggota2').val() || $(this).val()==$('#hakim_anggota3').val() || $(this).val()==$('#hakim_anggota4').val()) {
					message_error_show('Tidak bisa memilih hakim yang sama !');
					$(this).val('0');
				}
			break;
			case 'hakim_anggota1':
				if ($(this).val()==$('#hakim_ketua').val() || $(this).val()==$('#hakim_anggota2').val() || $(this).val()==$('#hakim_anggota3').val() || $(this).val()==$('#hakim_anggota4').val()) {
					message_error_show('Tidak bisa memilih hakim yang sama !');
					$(this).val('0');
				}
			break;
			case 'hakim_anggota2':
				if ($(this).val()==$('#hakim_ketua').val() || $(this).val()==$('#hakim_anggota1').val() || $(this).val()==$('#hakim_anggota3').val() || $(this).val()==$('#hakim_anggota4').val()) {
					message_error_show('Tidak bisa memilih hakim yang sama !');
					$(this).val('0');
				}
			break;
			case 'hakim_anggota3':
				if ($(this).val()==$('#hakim_ketua').val() || $(this).val()==$('#hakim_anggota2').val() || $(this).val()==$('#hakim_anggota1').val() || $(this).val()==$('#hakim_anggota4').val()) {
					message_error_show('Tidak bisa memilih hakim yang sama !');
					$(this).val('0');
				}
			break;
			case 'hakim_anggota4':
				if ($(this).val()==$('#hakim_ketua').val() || $(this).val()==$('#hakim_anggota2').val() || $(this).val()==$('#hakim_anggota3').val() || $(this).val()==$('#hakim_anggota1').val()) {
					message_error_show('Tidak bisa memilih hakim yang sama !');
					$(this).val('0');
				}
			break;
		}
	}
});

$('#frm_majelis').SubmitHandling({
		refresh:'1',
		setRefresh:1,
		divRef:'#konten',
		clicked:1,
		btnClicked:'#close_form_add_majelis',
		whenStatus:1,
		next_step:1
    });

$('#hapus').ButtonClickHandling({
	refresh:'1',
	setRefresh:1,
	divRef:'#konten',
	clicked:1,
	btnClicked:'#close_form_refresh',
	whenStatus:1,
	actions:'<?php echo base_url("delete_majelis")."/".$enc;?>',
	formName:'#frm_majelis',
	actionName:'Hapus Data'
});

<?php 
if($this->session->userdata('jenis_pengadilan')==1){
?>
    $('#close_form_add_majelis').click(function(){
        window.open("<?php echo base_url('perkara_detil/'.$enc.'/2');?>","_self");    
    });
<?php
}else if($this->session->userdata('jenis_pengadilan')==2){
?>
    $('#close_form_add_majelis').click(function(){
        window.open("<?php echo base_url('perkara_detil_mil/'.$enc.'/2');?>","_self");    
    });    
<?php
}else if($this->session->userdata('jenis_pengadilan')==3){
?>
    $('#close_form_add_majelis').click(function(){
        window.open("<?php echo base_url('perkara_detil_tun/'.$enc.'/2');?>","_self");    
    });
<?php
}else if($this->session->userdata('jenis_pengadilan')==4){
?>
    $('#close_form_add_majelis').click(function(){
        window.open("<?php echo base_url('perkara_detil_agama/'.$enc.'/2');?>","_self");    
    });        
<?php
}else{
?>
    $('#close_form_add_majelis').closingFormWin();
<?php
}
?> 
$('#close_form_refresh').closingFormWin();

    <?php
	if ($model_hakim=='tunggal'){
	    echo "$('.tunggal').show();";
	    echo "$('.majelis').hide();";
	}else{
	    echo "$('.tunggal').hide();";
	    echo "$('.majelis').show();";
	}

    ?>

    var selection = '<?php echo $idalurperkara;?>'
    if (selection=='8') {
    	$("tr.row_majelis").hide();
	}

 	$('#model_hakim').change(function(){
		if ($('#model_hakim').val()=='tunggal') {
		    $('.tunggal').show();
		    $('.majelis').hide();
		}else{
		    $('.tunggal').hide();
		    $('.majelis').show();
		}
 	});

 	<?php if($this->session->userdata('jenis_pengadilan')==3 AND $idalurperkara!=10 AND $idalurperkara!=11){ 
 		if($action=='edit' OR $action=='add'){ ?>
 			$('#span_majelis').hide();
 		<?php } ?>	
	 	$('#jenis_acara').change(function(){
			if ($('#jenis_acara').val()==1) {
			    $('.tunggal').show();
			    $('.majelis').hide();
			    $('#model_hakim').val('tunggal');			    
			    $('#l_majelis').text('Hakim Tunggal');
			}else{
			    $('.tunggal').hide();
			    $('.majelis').show();
			    $('#model_hakim').val('majelis');
			   	$('#l_majelis').text('Majelis Hakim');
			}
			$('#span_majelis').hide();
	 	});
	<?php } ?>


    $('#tgl_penetapan_majelis').datepicker({
            inline: true,
            showOtherMonths: true,
            dateFormat: 'dd/mm/yy',
            dayNamesMin: ['Ming', 'Sen', 'Sel', 'Rab', 'Kam', 'Jum', 'Sab'],
            beforeShowDay:$.datepicker.noWeekends,
            onSelect: function(dateText, inst) {
            var error = 0;
            var date = $(this).datepicker('getDate');
            var dayOfWeek = weekday[date.getDay()];
            //var error = 0;
            var message ='';
            	if(dayOfWeek=='Sunday' || dayOfWeek=='Saturday'){
            		message ='Tidak Dapat Memilih diluar Hari Kerja.';
            		error = 1;
            	}
				
		    var tmp = $(this).val().split("/");
				var tmp2 = $('#curr_date').val().split("/");
				if((new Date(tmp[2]+"-"+tmp[1]+"-"+tmp[0]+"T00:00:00").getTime() > new Date(tmp2[2]+"-"+tmp2[1]+"-"+tmp2[0]+"T00:00:00").getTime())){
					message = 'Tidak Dapat Memilih Melebihi Hari ini. Sekarang Tanggal '+$('#curr_date').val();
					error = 1
				}

				if(error==1){
					message_error_show(message);
					$(this).css("background-color", "red");
				}else{
					$(this).css("background-color", "#dedbdb");
				}
				error = 0;
        	}
      	});
    $('.datepicker').ValidateDateInput();
    
</script>